package others_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type CustomConfigDeleteRequest struct {
	CustomParamSelectRequest *common.CustomConfigDeleteCustomParamSelectRequest `json:"customParamSelectRequest"`
}

func (obj CustomConfigDeleteRequest) GetUrl() string {
	return "/custom/config/delete"
}

func (obj CustomConfigDeleteRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
